# GraphAlgo_Coloring_Schueler (1_graphentester)

Package eigeneAlgorithmen

## Class GraphAlgo_Coloring_Schueler

- java.lang.Object
- - java.lang.Thread
  - - algorithmen.GraphAlgo
    - - eigeneAlgorithmen.GraphAlgo_Coloring_Schueler

All Implemented Interfaces:
  `Runnable`

    public class GraphAlgo_Coloring_Schueler
    extends GraphAlgo

Dieser Algorithmus färbt einen Graphen, so dass keine benachbarten Knoten die gleiche Farbe haben und möglichst wenige Farben benutzt werden. Algorithmus: Beispieldatei, in der Schüler den Algorithmus selbst umsetzen können

Version:
  1.0 from 10.12.2020
Author:
  Thomas Schaller

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class algorithmen.GraphAlgo

`g, inArbeit`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
`GraphAlgo_Coloring_Schueler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `fuehreAlgorithmusAus()`
`String` `getBezeichnung()`

### Methods inherited from class algorithmen.GraphAlgo

`getStartKnoten, getWaitforclick, getWaitforrepaint, info, infoIndentLess, infoIndentMore, melde, resetInfo, run, setGraph, setGUIElemente, setSpeed, setStartKnoten, setStepping, setWaitforclick, setWaitforrepaint, step`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, toString, yield`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GraphAlgo_Coloring_Schueler

    public GraphAlgo_Coloring_Schueler()

### Method Detail

#### getBezeichnung

    public String getBezeichnung()

Specified by:
  `getBezeichnung` in class `GraphAlgo`

#### fuehreAlgorithmusAus

    public void fuehreAlgorithmusAus()

Specified by:
  `fuehreAlgorithmusAus` in class `GraphAlgo`